%define upstream_name	 DBD-Multi
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Manage Multiple Data Sources with Failover and Load Balancing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast) >= 0.190.0
BuildRequires: perl(DBD::SQLite) >= 1.90.0
BuildRequires: perl(DBI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util) >= 1.180.0
BuildRequires: perl(Pod::Simple)
BuildRequires: perl(Sys::SigAction) >= 0.100.0
BuildRequires: perl(Test::Exception) >= 0.210.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.140.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.40.0
BuildArch:  noarch

%description
This software manages multiple database connections for failovers and also
simple load balancing. It acts as a proxy between your code and your database
connections, transparently choosing a connection for each query, based on your
preferences and present availability of the DB server.

This module is intended for read-only operations (where some other application
is being used to handle replication).

This software does not prevent write operations from being executed. This is
left up to the user. See "SUGGESTED USES" below for ideas.

The interface is nearly the same as other DBI drivers with one notable
exception.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README TODO
%{perl_vendorlib}/DBD
%_mandir/man3*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.180.0-7pclos2017
- rebuild against updates

